> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all Wireless Blocklists

> Get all Wireless Blocklists belonging to the user.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/wireless/sim-cards-configuration.yml get /wireless_blocklists
openapi: 3.1.0
info:
  title: SIM Cards Configuration API
  version: 2.0.0
  description: >-
    Network configuration for SIM cards including public IP management, private
    wireless gateways, blocklists, traffic policy profiles, and data usage
    notifications.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /wireless_blocklists:
    get:
      tags:
        - Wireless Blocklists
      summary: Get all Wireless Blocklists
      description: Get all Wireless Blocklists belonging to the user.
      operationId: GetWirelessBlocklistsGateways
      parameters:
        - $ref: '#/components/parameters/wireless_PageNumber'
        - $ref: '#/components/parameters/wireless_PageSize'
        - name: filter[name]
          description: The name of the Wireless Blocklist.
          in: query
          required: false
          schema:
            type: string
          example: my private gateway
        - name: filter[type]
          description: When the Private Wireless Gateway was last updated.
          in: query
          required: false
          schema:
            type: string
          example: country
        - name: filter[values]
          description: Values to filter on (inclusive).
          in: query
          required: false
          schema:
            type: string
          example: US,CA
      responses:
        '200':
          $ref: '#/components/responses/GetAllWirelessBlocklistsResponse'
        '401':
          description: Unauthorized
        default:
          $ref: '#/components/responses/wireless_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const wirelessBlocklist of
            client.wirelessBlocklists.list()) {
              console.log(wirelessBlocklist.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.wireless_blocklists.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.WirelessBlocklists.List(context.TODO(), telnyx.WirelessBlocklistListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.wirelessblocklists.WirelessBlocklistListPage;

            import
            com.telnyx.sdk.models.wirelessblocklists.WirelessBlocklistListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    WirelessBlocklistListPage page = client.wirelessBlocklists().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.wireless_blocklists.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->wirelessBlocklists->list(
                filterName: 'filter[name]',
                filterType: 'filter[type]',
                filterValues: 'filter[values]',
                pageNumber: 1,
                pageSize: 1,
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx wireless-blocklists list \
              --api-key 'My API Key'
components:
  parameters:
    wireless_PageNumber:
      name: page[number]
      in: query
      description: The page number to load.
      schema:
        type: integer
        minimum: 1
        default: 1
    wireless_PageSize:
      name: page[size]
      in: query
      description: The size of the page.
      schema:
        type: integer
        minimum: 1
        maximum: 250
        default: 20
  responses:
    GetAllWirelessBlocklistsResponse:
      description: Successful Response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/WirelessBlocklist'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
    wireless_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Errors'
  schemas:
    WirelessBlocklist:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Identifies the resource.
          readOnly: true
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        record_type:
          type: string
          readOnly: true
          example: wireless_blocklist
        created_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            created.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            updated.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        name:
          description: The wireless blocklist name.
          type: string
          example: My wireless blocklist.
        type:
          description: The type of the wireless blocklist.
          type: string
          enum:
            - country
            - mcc
            - plmn
          default: country
          example: country
        values:
          description: >-
            Values to block. The values here depend on the `type` of Wireless
            Blocklist.
          type: array
          items:
            anyOf:
              - $ref: '#/components/schemas/CountryCode'
              - $ref: '#/components/schemas/MobileCountryCode'
              - $ref: '#/components/schemas/PLMNCode'
          example:
            - CA
            - MX
            - US
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    wireless_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/wireless_Error'
      type: object
    CountryCode:
      type: string
      description: ISO 3166-1 Alpha-2 Country Code.
      example: US
    MobileCountryCode:
      type: string
      description: Mobile Country Code.
      example: '311'
    PLMNCode:
      type: string
      description: Public land mobile network code (MCC + MNC).
      example: '311210'
    wireless_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````